Bug 244317 - SELinux is preventing /usr/sbin/prelink (prelink_t) "relabelfrom" to nethack.#prelink#.rSedpy (usr_t).
Summary: SELinux is preventing /usr/sbin/prelink (prelink_t) "relabelfrom" to nethack....
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-14 22:48 UTC by vfiend
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:11:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vfiend 2007-06-14 22:48:36 UTC
Yes, again, prelink and nethack seem to have a lot of SELinux problems together.
This happens nightly, with a random string in place of .rSedpy

Summary
    SELinux is preventing /usr/sbin/prelink (prelink_t) "relabelfrom" to
    nethack.#prelink#.rSedpy (usr_t).

Additional Information        

Source Context                user_u:system_r:prelink_t
Target Context                user_u:object_r:usr_t
Target Objects                nethack.#prelink#.rSedpy [ file ]
Affected RPM Packages         prelink-0.3.10-1 [application]
Policy RPM                    selinux-policy-2.6.4-14.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     monolith
Platform                      Linux monolith 2.6.21-1.3194.fc7 #1 SMP Wed May 23
                              22:47:07 EDT 2007 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 14 Jun 2007 04:54:07 AM PDT
Last Seen                     Thu 14 Jun 2007 04:54:07 AM PDT
Local ID                      f238084c-c008-49b1-9e93-41ee3fc86a8a
Line Numbers                  

Raw Audit Messages            

avc: denied { relabelfrom } for comm="prelink" dev=dm-0 egid=0 euid=0
exe="/usr/sbin/prelink" exit=-13 fsgid=0 fsuid=0 gid=0 items=0
name="nethack.#prelink#.rSedpy" pid=17232 scontext=user_u:system_r:prelink_t:s0
sgid=0 subj=user_u:system_r:prelink_t:s0 suid=0 tclass=file
tcontext=user_u:object_r:usr_t:s0 tty=(none) uid=0

Comment 1 Daniel Walsh 2007-06-15 12:56:09 UTC
Fixed in selinux-policy-2.6.4-16

Comment 2 Daniel Walsh 2007-08-22 14:11:06 UTC
Closing as fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.